HostingSslCertificateListResponse
Successful response with a list of HostingSslCertificate
Always 0 in a successful response
0Always null in a successful response
data object[]required
Items returned by the operation
Id of the hosting (GET /api/v3/hostings/{hosting_id})
Id of the purchased SSL certificate (GET /api/v3/ssl-certificates/{ssl_certificate_id}); null for the other certificates
Id of the Let's Encrypt certificate; null for the other certificates
Id of the external certificate, whose keys were uploaded by the customer; null for the other certificates
Type of the certificate: NORMAL, or WILDCARD for a wildcard certificate
When the certificate was installed; null until the installation completes
Whether the visits over HTTP are redirected to HTTPS (301)
Where the certificate is installed: web for the website, mail for the mail servers
Always null: only the paginated lists have a meta
null{
"error": 0,
"message": "string",
"data": [
{
"hosting_ssl_certificate_id": 0,
"hosting_id": 0,
"ssl_certificate_id": 0,
"lets_encrypt_id": 0,
"external_certificate_id": 0,
"cn_type": "string",
"installation_date": "2024-07-29T15:51:28.071Z",
"https_rewrite": true,
"destination_type": "string"
}
]
}